Skip to main content
`Ctrl`+`K`

# MatCoarsenCreate

Creates a coarsen context.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenCreate(MPI_Comm comm, MatCoarsen *newcrs)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- newcrs - location to put the context

## See Also

`MatCoarsen`, `MatCoarsenSetType()`, `MatCoarsenApply()`, `MatCoarsenDestroy()`, `MatCoarsenSetAdjacency()`, `MatCoarsenGetData()`

## Level

advanced

## Location

src/mat/graphops/coarsen/interface/coarsen.c

## Implementations

MatCoarsenCreate_HEM() in src/mat/graphops/coarsen/impls/hem/hem.c
MatCoarsenCreate_MIS() in src/mat/graphops/coarsen/impls/mis/mis.c
MatCoarsenCreate_MISK() in src/mat/graphops/coarsen/impls/misk/misk.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages